using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3261.Domain;

public class TaobaoTbkDgCpaActivityDetailResults
{

    /*
        奖励明细数据，KV结构。字段释义见文档：https://www.yuque.com/docs/share/7ecf8cf1-7f99-4633-a2ed-f9b6f8116af5?#
    */
    private string? fieldDetail;


    /*
        明细类型，1：预估明细，2：结算明细
    */
    private long? calcType;


    /*
        明细记录主键id
    */
    private long? id;



    [JsonPropertyName("field_detail")]
    public string? FieldDetail
    {
        get => fieldDetail;
        set => this.fieldDetail = value;
    }

    [JsonPropertyName("calc_type")]
    public long? CalcType
    {
        get => calcType;
        set => this.calcType = value;
    }

    [JsonPropertyName("id")]
    public long? Id
    {
        get => id;
        set => this.id = value;
    }

}

